Skip to main content
POST
/
momo
/
payout
Create new MoMo Payout Request
curl --request POST \
  --url https://api.stablepay.ai/momo/payout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "destination": "Paybill",
  "accountName": "<string>",
  "accountNumber": "<string>",
  "reference": "<string>",
  "currency": "KES",
  "country": "KE",
  "businessNumber": "<string>",
  "code": "MPesa"
}
'
{
  "success": true,
  "transactionId": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer scheme. Format: Bearer {STA_xxxx}

Body

application/json

Create a new Payment.

amount
number
required

The payment amount in local currency (ZAR, NGN, KES, GHS, UGX, TZS, ZMW, ETB).

Use Get FX API to obtain USDC/T amount to debit user.

Refer to Countries & Limits for mimimum and maximum amounts.

destination
enum<string>
default:Paybill
required

Payment destination to either pay bills, pay merchants or mobile money.

Available options:
Bank Account,
MoMo,
Paybill,
Till
accountName
string
required

The registered account name for Bank, MoMo or M-Pesa (Paybill / Till) payments.

accountNumber
string
required

Bank: Bank account number (10-16 digits).

MoMo: Mobile Money phone number ( phone code + phone number, no plus sign).

Paybill: M-Pesa Paybill business number (1-20 characters).

Till: M-Pesa Till number (6 digits).

Minimum string length: 1
reference
string
required

Wallet issuers unique reference.

currency
enum<string>
default:KES
required

Local currency type for the payout.

Available options:
ZAR,
NGN,
KES,
UGX,
GHS,
TZS,
ZMW,
ETB
country
enum<string>
default:KE
required

Country code (2 digit).

Available options:
ZA,
NG,
KE,
GH,
UG,
TZ,
ZM,
ET
businessNumber
string

Only required for Paybill destination: M-Pesa Paybill business number (6 digits).

Minimum string length: 6
code
enum<string>
default:MPesa

Payment code of the Bank or Mobile Network Operator.

Available Bank code options: Refer to Countries & Limits for available Bank codes per country.

Available MoMo code options: MPesa, MTN, Airtel, Tigo, Telebirr, CBE, Zamtel

Refer to Countries & Limits for available MoMo codes per country.

Available options:
MPesa,
MTN,
Airtel,
Tigo,
Telebirr,
CBE,
Zamtel,
100004

Response

Payout request successfully created.

success
boolean
required

Payout status.

transactionId
string

Transaction ID to query the transaction status using the Stablepay Get Payment Status webhook.